
Redmine - Feature #9834

REST API - List all members of a project

2011-12-18 18:05 - Scott S

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

As an application consuming the API, I would like to be able to list all members of a project easily via

(/projects/{project_id}/memberships or an include on show) so that I can choose who to assign the issue to.

Related issues:

Related to Redmine - Feature #7420: Rest API for projects members Closed 2011-01-24

History

#1 - 2012-01-31 00:11 - Preethi Sriram

- File ProjectMembers.diff added

Attached is a patch for project api.

To test (include=members) needed in the api call.

http://myserver/projects/1.xml?limit=25&offset=0&include=members

returns the members of a project (names,id)

#2 - 2012-02-06 11:54 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

See #7420. Memberships API is added for 1.4. A simple role API was also added.

Have a look at REST API.

Files

ProjectMembers.diff 552 Bytes 2012-01-30 Preethi Sriram
